<?php
//namespace application\models\hclinica\models;

use application\models\MainModel;
use application\models\hclinica\tables\PacienteTable;
use application\models\MyModel;
//use application\models\MyModel;

//otra opcion es extender la clase main model
class PacienteModel extends MyModel
{
    //private $db;
    //private $table="paciente";
    //private $model;
    
    public function __construct()
    {
        parent::__construct();
        $this->db_server=$this->conexion;
        $this->table="paciente";
        $this->idTabla="idPaciente";
    }
    public function guardarRegistro(&$array)
    {
        $this->guardarArray($array, $this->idTabla);
    }
    public function getPacienteById($idPaciente){
        return $this->getArrayById($this->idTabla, $idPaciente);
    }
    
    public function verPacientes()
    {
        $sql="SELECT * FROM paciente";
        $stmt=$this->db->query($sql,[]);
        return $stmt->result();
    }
    
    /*public function __construct(\CI_DB_mysqli_driver $driver)
    {
        $this->db=$driver;
        $this->model=new MainModel($driver, $this->table);
    }
    public function guardar(PacienteTable $paciente)
    {
        $this->model->guardar($paciente, "idPaciente");
    }
    public function guardarPost(array $paciente)
    {
        //guardar con el main model
    }
    public function getPacienteById($idPaciente)
    {
        
    }
    public function getArrayById($idPaciente) 
    {
        return $this->model->consultarPorId("idPaciente", $idPaciente);
    }*/
}

